---
search:
  tags:
    - Themes
    - POST
seo:
  description: >-
    Creates a new development theme by cloning the current production theme. If
    a dev… Reference for the POST /shops/{id}/themes endpoint in the Bolder API
    v2.
sidebar:
  label: Create a dev theme
  badge: POST
title: Create a dev theme
type: openapi-operation
---
Creates a new development theme by cloning the current production theme.
If a dev theme already exists it is returned unchanged.

`POST /shops/{id}/themes`

**Request body** (`application/json`)

- `title` (string) — Optional title for the new dev theme

Request body example:

```json
{
  "title": "My Dev Theme"
}
```

**Responses**

- `201` — Dev theme created
- `401` — Unauthorized
- `403` — Access denied

Response example, 201:

```json
{
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "id": "string",
  "linked": true,
  "parent_id": "string",
  "production": true,
  "public": true,
  "accessible": true,
  "title": "string",
  "settings": "string",
  "created_on": "2019-08-24T14:15:22Z",
  "updated_on": "2019-08-24T14:15:22Z",
  "_embedded": {
    "templates": [
      {
        "_links": {
          "property1": {
            "href": "string",
            "templated": true,
            "method": "get",
            "title": "string",
            "type": "string"
          },
          "property2": {
            "href": "string",
            "templated": true,
            "method": "get",
            "title": "string",
            "type": "string"
          }
        },
        "id": "string",
        "file_name": "layout.html",
        "path": "string",
        "body": "string",
        "is_section": true,
        "schema": {},
        "parent_commit": "string",
        "updated_on": "2019-08-24T14:15:22Z"
      }
    ],
    "assets": [
      {
        "_links": {
          "property1": {
            "href": "string",
            "templated": true,
            "method": "get",
            "title": "string",
            "type": "string"
          },
          "property2": {
            "href": "string",
            "templated": true,
            "method": "get",
            "title": "string",
            "type": "string"
          }
        },
        "id": "string",
        "file_name": "logo.png",
        "content_type": "image/png",
        "file_size": 0,
        "digest": "string",
        "url": "string",
        "updated_on": "2019-08-24T14:15:22Z"
      }
    ]
  }
}
```
